pcl::cuda::CheckPlanarInlier Struct Reference

Check if a certain tuple is a point inlier. More...

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h>`

## Public Member Functions

| CheckPlanarInlier (float4 coeff, float thresh)
template<typename Tuple >
__inline__ __host__ __device__ int | operator() (const Tuple &t)
| CheckPlanarInlier (float4 coeff, float thresh)
template<typename Tuple >
__inline__ __host__ __device__ int | operator() (const Tuple &t)

## Public Attributes

float4 | coefficients
float | threshold

## Detailed Description

Check if a certain tuple is a point inlier.

Definition at line 81 of file sac_model_1point_plane.h.

## Constructor & Destructor Documentation

## CheckPlanarInlier() [1/2]

pcl::cuda::CheckPlanarInlier::CheckPlanarInlier | ( | float4 | coeff,
|  | float | thresh
| ) |  |

inline

Definition at line 86 of file sac_model_1point_plane.h.

References pcl::cuda::CountPlanarInlier::operator()().

## CheckPlanarInlier() [2/2]

pcl::cuda::CheckPlanarInlier::CheckPlanarInlier | ( | float4 | coeff,
|  | float | thresh
| ) |  |

inline

Definition at line 69 of file sac_model_plane.h.

References pcl::cuda::CountPlanarInlier::operator()().

## Member Function Documentation

## operator()() [1/2]

template<typename Tuple >

__inline__ __host__ __device__ int pcl::cuda::CheckPlanarInlier::operator() | ( | const Tuple & | t | ) |

## operator()() [2/2]

template<typename Tuple >

__inline__ __host__ __device__ int pcl::cuda::CheckPlanarInlier::operator() | ( | const Tuple & | t | ) |

## Member Data Documentation

## coefficients

float4 pcl::cuda::CheckPlanarInlier::coefficients

Definition at line 83 of file sac_model_1point_plane.h.

## threshold

float pcl::cuda::CheckPlanarInlier::threshold

Definition at line 84 of file sac_model_1point_plane.h.

The documentation for this struct was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_plane.h